
if [ -z "$1" ]
then
   echo "version is expected"
   exit -1
fi

version=$1

echo "new version is $version"


cd example/
rm -fr ~/.pub_cache

flutter clean || { flutter packages get ; }
flutter packages get
flutter packages upgrade

cd ios/
pod install || { pod repo update && pod install ; }
cd ..

flutter build ios --simulator || { exit -1 ; }
cd ..

# 修改版本
yq delete  pubspec.yaml version -i
yq write   pubspec.yaml version "$version" -i

pub get
pub publish  --force 

